<?php
/*
Plugin Name: financraft Package
Author: ThemeDiscover
Author URI:http://srtheme.com
Version: 1.0
Description: This plugin required for financraft One Page WP theme
textdomain: financraft-package
*/

// Exit if accessed directly
if( ! defined( 'ABSPATH') ) {
    exit;
}

// Translate direction
load_plugin_textdomain( 'financraft-package', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );


// Define
define( 'FINANCRAFT_ACC_URL', WP_PLUGIN_URL . '/' . plugin_basename( dirname( __FILE__ ) ) . '/' );
define( 'FINANCRAFT_ACC_PATH', plugin_dir_path( __FILE__ )  );

// Dynamic Slide list on VC addon
function financraft_slider_get_slider_list(){
    $args = wp_parse_args(array(
        'post_type' => 'slide',
        'numberposts' => -1
    ));

    $posts = get_posts($args);
    $post_option = array(esc_html('Choose Slider Item', 'financraft-package')=>'');
    if($posts){
        foreach($posts as $post){
            $post_option[$post->post_title] = $post->ID;
        }
    }
    return $post_option;
}
// Get Page List

function financraft_get_page_list( ){
    $args = wp_parse_args( array(
        'post_type' => 'page',
        'numberposts' => -1,
    ) );

    $posts = get_posts( $args );
    $post_options = array(esc_html__('-- Select Page --', 'financraft-package') =>'');

    if( $posts ) {
        foreach( $posts as $post ) {
            $post_options[ $post->post_title ] = $post->ID;
        }
    }

    return $post_options;
}
// Custom Post Types
add_action( 'init', 'financraft_custom_post' );
function financraft_custom_post(){
    register_post_type( 'slide', array(
        'labels' => array(
            'name' => esc_html__( 'Slides', 'financraft-package' ),
            'singular_name' => esc_html__( 'Slide', 'financraft-package' ),
            'add_new' => esc_html__( 'Add New Slider', 'financraft-package' ),
        ),
        'supports' => array( 'title', 'editor', 'thumbnail',),
        'public'    => false,
        'show_ui'   => true,
		'menu_icon' => 'dashicons-images-alt2',

    ));
    register_post_type( 'service', array(
        'labels' => array(
            'name' => esc_html__( 'Services', 'financraft-package' ),
            'singular_name' => esc_html__( 'Service', 'financraft-package' ),
            'add_new' => esc_html__( 'Add New Service', 'financraft-package' ),
        ),
        'supports' => array( 'title', 'editor', 'thumbnail', 'excerpt'),
        'public'    => true,
        'show_ui'   => true,
		'menu_icon' => 'dashicons-chart-bar',

    ));
    register_post_type( 'casestudy', array(
        'labels' => array(
            'name' => esc_html__( 'Casestudys', 'financraft-package' ),
            'singular_name' => esc_html__( 'Casestudy', 'financraft-package' ),
            'add_new' => esc_html__( 'Add New Casestudy', 'financraft-package' ),
        ),
        'supports' => array( 'title', 'editor', 'thumbnail', 'excerpt'),
        'public'    => true,
        'show_ui'   => true,
		'menu_icon' => 'dashicons-welcome-write-blog',

    ));
    register_taxonomy(
        'case_studie_cat',
        'casestudy',
        array(
            'hierarchical' => true,
            'label' => esc_html('Case Studie Category', 'financraft-package'),
            'query_vars' => true,
            'show_admin_column' => true,
            'rewrite' => array(
                'slug' => 'case_studie_cat',
                'with_front' => true,
            )
        )
    );
    register_post_type( 'testimonial', array(
        'labels' => array(
            'name' => esc_html__( 'Testimonials', 'financraft-package' ),
            'singular_name' => esc_html__( 'Testimonial', 'financraft-package' ),
            'add_new' => esc_html__( 'Add New Testimonial', 'financraft-package' ),
        ),
        'supports' => array( 'title', 'editor', 'thumbnail', 'excerpt'),
        'public'    => false,
        'show_ui'   => true,
		'menu_icon' => 'dashicons-format-quote',

    ));
}

// Print shortcodes in widgets
add_filter('widget_text', 'do_shortcode');

// Loading VC addons
require_once( FINANCRAFT_ACC_PATH . 'vc-addons/vc-blocks-load.php' );

// Theme Shortcodes
require_once( FINANCRAFT_ACC_PATH . 'theme-shortcodes/slider-shortcode.php');
require_once( FINANCRAFT_ACC_PATH . 'theme-shortcodes/service-box-shortcode.php');
require_once( FINANCRAFT_ACC_PATH . 'theme-shortcodes/text-box-shortcode.php');
require_once( FINANCRAFT_ACC_PATH . 'theme-shortcodes/brand-logo-shortcode.php');
require_once( FINANCRAFT_ACC_PATH . 'theme-shortcodes/blog-grid-shortcode.php');
require_once( FINANCRAFT_ACC_PATH . 'theme-shortcodes/testimonial-shortcode.php');
require_once( FINANCRAFT_ACC_PATH . 'theme-shortcodes/service-shortcode.php');
require_once( FINANCRAFT_ACC_PATH . 'theme-shortcodes/counter-shortcode.php');
require_once( FINANCRAFT_ACC_PATH . 'theme-shortcodes/casestudy-shortcode.php');
require_once( FINANCRAFT_ACC_PATH . 'theme-shortcodes/team-shortcode.php');
require_once( FINANCRAFT_ACC_PATH . 'theme-shortcodes/button-shortcode.php');

//// Shortcodes depended on visual composer
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
if( is_plugin_active( 'js_composer/js_composer.php' )) {}

// Registering financraft Package Files

function financraft_package_files(){

wp_enqueue_style('magnific-popup', plugin_dir_url( __FILE__ ) . 'assets/css/magnific-popup.css') ;				
wp_enqueue_style('owl-carousel', plugin_dir_url( __FILE__ ) . 'assets/css/owl.carousel.css') ;
wp_enqueue_style('animate-min', plugin_dir_url( __FILE__ ) . 'assets/css/animate.min.css') ;     
wp_enqueue_style('financraft-package', plugin_dir_url( __FILE__ ) . 'assets/css/financraft-package.css') ;     
    
wp_enqueue_script('owl-carousel', plugin_dir_url( __FILE__ ) . 'assets/js/owl.carousel.min.js', array('jquery'), '20120206', true );  
wp_enqueue_script('magnific-popup', plugin_dir_url( __FILE__ ) . 'assets/js/jquery.magnific-popup.min.js', array('jquery'), '20120206', true );  
wp_enqueue_script('counterup', plugin_dir_url( __FILE__ ) . 'assets/js/jquery.counterup.js', array('jquery'), '20120206', true );  
wp_enqueue_script('waypoints', plugin_dir_url( __FILE__ ) . 'assets/js/waypoints.min.js', array('jquery'), '20120206', true );  
wp_enqueue_script('imagesloaded', plugin_dir_url( __FILE__ ) . 'assets/js/imagesloaded.js', array('jquery'), '20120206', true );  
wp_enqueue_script('isotope', plugin_dir_url( __FILE__ ) . 'assets/js/isotope.pkgd.min.js', array('jquery'), '20120206', true );  
wp_enqueue_script('gmap3', plugin_dir_url( __FILE__ ) . 'assets/js/gmap3.min.js', array('jquery'), '20120206', true );  
wp_enqueue_script('financraft-package', plugin_dir_url( __FILE__ ) . 'assets/js/financraft-package.js', array('jquery'), '20120206', true );  

}

add_action( 'wp_enqueue_scripts', 'financraft_package_files');
