<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
	
}

function financraft_service_shortcode( $atts ){
    extract(shortcode_atts(array(
        'service_col' => '3',
        'count' => '-1',
        'service_order' => 'ASC'
    ),$atts ));
    
    $r = new WP_Query(array(
        'posts_per_page' => $count,
        'post_type' => 'service',
        'order' =>$service_order
    ));
    
    $financraft_service_markup = '
        <div class="financraft_service_area">
            <div class="row">';
            while($r->have_posts()): $r->the_post();
            $idd = get_the_ID();
            if($service_col == 1){
                $col_class = 'col-md-12 one-col';
            }else if($service_col == 2){
                $col_class = 'col-md-6 col-sm-6 two-col';
            }else if($service_col == 3){
                $col_class = 'col-md-4 col-sm-4';
            }else{
                $col_class = 'col-md-3 col-sm-6';
            }
                $financraft_service_markup .='
                    <div class="'.esc_attr($col_class).'">
                        <div class="service-item">';
                            if(has_post_thumbnail()){
                                $financraft_service_markup .='
                                    <div class="service-bg" style="background-image:url('.esc_url(get_the_post_thumbnail_url($idd, 'large')).')"></div>
                                ';
                            }
                            
    
                            $financraft_service_markup .='
                            <div class="service-content">                            
                                <h3>'.esc_html(get_the_title()).'</h3>
                                <div class="service-short-info">'.get_the_excerpt().'</div>
                                <a href="'.esc_url(get_the_permalink()).'">'.esc_html('Read More').'</a>
                            </div>
                        </div>
                    </div>
                ';
            endwhile;
            $financraft_service_markup .='
            </div>
        </div>
    ';
    wp_reset_query();
    return $financraft_service_markup;
}
add_shortcode('service_shortcode', 'financraft_service_shortcode');