<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
	
}

function financraft_testimonial_shortcode( $atts ){
    extract(shortcode_atts(array(
        'count' => '-1',
		'autoplay' => 'false',
		'autoplay_time' => '5000',
		'nav' => 'true',
		'dots' => 'false',
    ), $atts));
    
    
    $r = new WP_Query(array(
        'posts_per_page' => $count,
        'post_type' => 'testimonial',
    ));  
    
    
    $testimonial_random_id = rand(45421, 45451);
        $testimonial_markup ='    
        <script>
            jQuery(document).ready(function($){
                $(".testimonial-wrapper-' . esc_attr($testimonial_random_id) . '").owlCarousel({
                    nav: ' . esc_attr($nav) . ',
                    loop: true,
                    dots: ' . esc_attr($dots) . ',
                    autoplay: ' . esc_attr($autoplay) . ',
                    autoplayTimeout: ' . esc_attr($autoplay_time) . ',
                    smartSpeed: 700,
                    items: 1,
                    navText:["<i class=\'fa fa-angle-left\'></i>", "<i class=\'fa fa-angle-right\'></i>"],
                });
            }); 
        </script>';
    $testimonial_markup .='        
        <div class="testimonial-control testimonial-wrapper-' . esc_attr($testimonial_random_id) . '">';
        while($r->have_posts()): $r->the_post();
            $idd = get_the_ID();
    
            if(get_post_meta($idd, 'financraft_testimonial_meta', true)){
                $testimonial_meta = get_post_meta($idd, 'financraft_testimonial_meta', true);
            }else{
                $testimonial_meta = array();
            }		
            if(array_key_exists('authore', $testimonial_meta)){
                $authore = $testimonial_meta['authore'];
            }else{
                $authore = '';
            }	
            if(array_key_exists('designation', $testimonial_meta)){
                $designation = $testimonial_meta['designation'];
            }else{
                $designation = '';
            }
            $testimonial_markup .='
                <div class="testimonial-item">
                    <div class="col-md-6">
                        <div class="testimonial-authore-image">
                            <div class="authore-bg" style="background-image:url('.get_the_post_thumbnail_url($idd, 'large').')"></div>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="testimonial-info">
                            <h3>'.esc_html(get_the_title()).'</h3>
                            '.wpautop(get_the_content()).'
                            <h4>'.esc_html($authore).' <span>'.esc_html($designation).'</span></h4>
                        </div>
                    </div>
                </div>
            ';
    
        endwhile;
        wp_reset_query();
       $testimonial_markup .='     
        </div>
    ';
    return $testimonial_markup;
}
add_shortcode('testimonial_shortcode', 'financraft_testimonial_shortcode');