<?php
/**
 * Header Style One Template
 *
 * @package financraft
 */
?>
<header class="header-area">
    <div class="header-top">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-5">
                   <?php if(!empty($header_social_link)):?>
                    <div class="header-social">
                       <?php foreach($header_social_link as $icon):?>
                        <a href="<?php echo esc_url($icon['url'])?>"><i class="<?php echo esc_attr($icon['icon'])?>"></i></a>
                        <?php endforeach;?>
                    </div>
                    <?php endif;?>
                    <div class="header-text">
                        <?php echo $header_text?>
                    </div>
                </div>
                <div class="col-md-7">
                   <?php if(!empty($header_info_box)):?>
                        <div class="header-right">
                           <?php foreach($header_info_box as $box):?>
                            <div class="info-box-item">
                                <i class="<?php echo esc_attr($box['icon'])?>"></i>
                                <?php echo esc_html($box['text']);?>
                            </div>
                            <?php endforeach;?>                           
                        </div>
                    <?php endif;?>
                </div>
            </div>
        </div>
    </div>
    <div class="header-main">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-3">
                    <div class="logo">
                        <?php if(has_custom_logo()):
                            the_custom_logo();
                        else:?>
                            <h1><a href="<?php echo home_url('/')?>"><?php bloginfo('name');?></a></h1>
                        <?php endif;?>
                    </div>
                </div>
                <div class="col-md-9">
                    <div class="mainmenu">
                        <?php
                            wp_nav_menu( array(
                                'theme_location' => 'menu-1',
                                'menu_id'        => 'primary-menu',
                            ) );
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>