<?php if (!defined('ABSPATH')) {
	die;
}
// Cannot access pages directly.
function financraft_theme_metabox($options) {

	$options = array(); // remove old options
	// -----------------------------------------
	// Header Option                    -
	// -----------------------------------------
	$options[] = array(
		'id' => 'financraft_header_style_meta',
		'title' => esc_html__('Header Style', 'financraft') ,
		'post_type' => array('post', 'page'),
		'context' => 'normal',
		'sections' => array(
			array(
				'name' => 'financraft_header_style_meta_1',
				'fields' => array(
                    array(
                        'id' => 'financraft_header_style',
                        'type' => 'select',
                        'title' => esc_html__('Header Style', 'financraft') ,
                        'options' => array(
                            'one' => esc_html__('Header Style 1', 'financraft') ,
                            'two' => esc_html__('Header Style 2', 'financraft') ,
                            'three' => esc_html__('Header Style 3', 'financraft') ,
                        ) ,
                    ) ,
				) ,
			) ,

		) ,
	);

	// -----------------------------------------
	// Page Title Metabox Options                    -
	// -----------------------------------------
	$options[] = array(
		'id' => 'financraft_page_meta',
		'title' => esc_html__('Page Options', 'financraft') ,
		'post_type' => 'page',
		'context' => 'normal',
		'priority' => 'high',
		'sections' => array(
			array(
				'name' => 'financraft_page_meta_1',
				'fields' => array(
					array(
						'id' => 'enable_title',
						'type' => 'switcher',
						'title' => esc_html__('Enable Page Title?', 'financraft') ,
						'desc' => esc_html__('If you want to display page title bar, select on.', 'financraft') ,
						'default' => true,
					) ,

					array(
						'id' => 'custom_title',
						'type' => 'text',
						'title' => esc_html__('Custom Page Title', 'financraft') ,
						'desc' => esc_html__('Type Your Cuatom Page Title.', 'financraft') ,
						'dependency' => array(
							'enable_title', '==', 'true'
						) ,

					) ,
					array(
						'id' => 'custom_text',
						'type' => 'textarea',
						'title' => esc_html__('Custom Page Text', 'financraft') ,
						'desc' => esc_html__('Type Your Cuatom Page Text.', 'financraft') ,
						'dependency' => array(
							'enable_title', '==', 'true'
						) ,

					) ,

					array(
						'id' => 'title_bg',
						'type' => 'upload',
						'title' => esc_html__('Page title Background Image', 'financraft') ,
						'settings' => array(
							'upload_type' => 'image',
							'button_title' => esc_html__('Upload', 'financraft') ,
							'frame_title' => esc_html__('Select an image', 'financraft') ,
							'insert_title' => esc_html__('Use this image', 'financraft') ,
						) ,
						'dependency' => array(
							'enable_title','==','true'
						) ,
					) ,
				)
			)
		)
	);
    
    // Slider Metabox Options                    -
	// -----------------------------------------
	$options[] = array(
		'id' => 'slider_option',
		'title' => esc_html__('Slider Options', 'financraft') ,
		'post_type' => 'slide',
		'context' => 'normal',
		'priority' => 'high',
		'sections' => array(
			array(
				'name' => 'financraft_slider_meta_1',
				'fields' => array(
                    array(
						'id' => 'top_title',
						'type' => 'text',
						'title' => esc_html__('Slider Top Title', 'financraft') ,
					) ,
                    array(
						'id' => 'buttons',
						'type' => 'group',
						'title' => esc_html__('Slide Buttons', 'financraft') ,
						'button_title' => esc_html__('Add New', 'financraft') ,
						'accordion_title' => esc_html__('Add New Button', 'financraft') ,
						'fields' => array(
							array(
								'id' => 'type',
								'type' => 'select',
								'title' => esc_html__('Button Type', 'financraft') ,
								'options' => array(
									'read' => esc_html__('Read Button', 'financraft') ,
									'white' => esc_html__('White Button', 'financraft') ,
								) ,
							) ,
							array(
								'id' => 'text',
								'type' => 'text',
								'title' => esc_html__('Button Text', 'financraft') ,
								'default' => esc_html__('Learn More', 'financraft') ,
							) ,

							array(
								'id' => 'link_type',
								'type' => 'select',
								'title' => esc_html__('Link Type', 'financraft') ,
								'options' => array(
									'1' => esc_html__('WordPress Pages', 'financraft') ,
									'2' => esc_html__('External Link', 'financraft') ,
								) ,
							) ,

							array(
								'id' => 'link_page',
								'type' => 'select',
								'title' => esc_html__('Select Page', 'financraft') ,
								'options' => 'page',
								'dependency' => array(
									'link_type', '==', '1'
								) ,
							) ,

							array(
								'id' => 'link_external',
								'type' => 'text',
								'title' => esc_html__('Type URL', 'financraft') ,
								'dependency' => array(
									'link_type', '==', '2'
								) ,
							) ,

						) ,
					) ,
                    array(
						'id' => 'enable_overlay',
						'type' => 'switcher',
						'title' => esc_html__('Enable Overlay', 'financraft') ,
						'default' => true,
					) ,
                    array(
						'id' => 'overlay_percentage',
						'type' => 'text',
						'title' => esc_html__('Overlay Percentage', 'financraft') ,
                        'desc' => esc_html__('Type overlay percentage. Max value 1', 'financraft'),
                        'default' => '0.6',
						'dependency' => array(
                            'enable_overlay', '==', 'true',
                        ),
					) ,
                    array(
						'id' => 'overlay_color',
						'type' => 'color_picker',
						'title' => esc_html__('Overlay Gradient 1st Color', 'financraft') ,
						'default' => esc_html__('#191920', 'financraft') ,
                        'desc' => esc_html__('Type overlay Gradient 1st Color', 'financraft'),
						'dependency' => array(
                            'enable_overlay', '==', 'true',
                        ),
					) ,

				) ,
			) ,

		) ,
	);
    // -----------------------------------------
	// Testimonial Metabox Options                    -
	// -----------------------------------------
	$options[] = array(
		'id' => 'financraft_testimonial_meta',
		'title' => esc_html__('Testimonial Options', 'financraft') ,
		'post_type' => 'testimonial',
		'context' => 'normal',
		'priority' => 'high',
		'sections' => array(
			array(
				'name' => 'financraft_testimonial_meta_1',
				'fields' => array(
                    array(
                      'id'             => 'authore',
                      'type'           => 'text',
                      'title'          => esc_html__('Authore Name', 'financraft'),
                    ),
                    array(
                      'id'             => 'designation',
                      'type'           => 'text',
                      'title'          => esc_html__('Designation', 'financraft'),
                    ),
				) ,
			) ,

		) ,
	);
    // -----------------------------------------
	// Team Metabox Options                    -
	// -----------------------------------------
	$options[] = array(
		'id' => 'financraft_team_meta',
		'title' => esc_html__('Team Options', 'financraft') ,
		'post_type' => 'team',
		'context' => 'normal',
		'priority' => 'high',
		'sections' => array(
			array(
				'name' => 'financraft_team_meta_1',
				'fields' => array(
					array(
						'id' => 'position',
						'type' => 'text',
						'title' => esc_html__('Author position or address', 'financraft') ,
						'desc' => esc_html__('Type Author position or address. It will display under author name.', 'financraft') ,
					) ,
                    array(
                    'id' => 'team_social',
                    'type' => 'group',
                    'title' => esc_html__('Team Social Links', 'financraft') ,
                    'desc' => esc_html__('Add social icons & links for member.', 'financraft') ,
                    'button_title' => esc_html__('Add Icon', 'financraft') ,
                    'accordion_title' => esc_html__('Add Social Icon', 'financraft') ,
                    'fields' => array(
                        array(
                            'id' => 'icon',
                            'type' => 'icon',
                            'title' => esc_html__('Select Icon', 'financraft') ,
                        ) ,
                        array(
                            'id' => 'url',
                            'type' => 'text',
                            'title' => esc_html__('Link', 'financraft') ,
                            'help' => esc_html__('HTTP address or mailto/callto actions.', 'financraft') ,
                        ) ,

                    ) ,
                ) ,

				) ,
			) ,

		) ,
	);
	return $options;

}

add_filter('cs_metabox_options', 'financraft_theme_metabox');

// Remove CS framework default shortcode and customizer Options
function financraft_cs_shortcode_options($options) {
	$options = array();
	return $options;
}

add_filter('cs_shortcode_options', 'financraft_cs_shortcode_options');

function financraft_cs_customize_options($options) {
	$options = array();
	return $options;
}
add_filter('cs_customize_options', 'financraft_cs_customize_options');

// Theme Options
function financraft_cs_framework_settings($settings) {

	$settings = array();

	$settings = array(
		'menu_title' => esc_html__('Theme Options', 'financraft') ,
		'menu_type' => 'theme',
		'menu_slug' => 'financraft-theme-options',
		'ajax_save' => true,
		'show_reset_all' => true,
		'framework_title' => esc_html__('financraft v1.0', 'financraft') ,
	);

	return $settings;

}
add_filter('cs_framework_settings', 'financraft_cs_framework_settings');
function financraft_theme_options($options) {

	$options = array();      
    $options[] = array(
		'name' => 'header_settings',
		'title' => esc_html__('Header Settings', 'financraft') ,
		'icon' => 'fa fa-font',
		'fields' => array(
            array(
              'id'              => 'header_social_link',
              'type'            => 'group',
              'title'           => 'Social Icon',
              'button_title'    => 'Add Social Icon',
              'accordion_title' => 'Add New Social Icon',
              'fields'          => array(
                array(
                  'id'    => 'icon',
                  'type'  => 'icon',
                  'title' => 'Choose Icon',
                ),
                array(
                  'id'    => 'url',
                  'type'  => 'text',
                  'title' => 'Type URL',
                ),
              ),
            ),
            array(
              'id'    => 'header_text',
              'type'  => 'wysiwyg',
              'title' => 'Header  Text',
            ),
            
            array(
              'id'              => 'header_info_box',
              'type'            => 'group',
              'title'           => 'Social Icon',
              'button_title'    => 'Add info Box',
              'accordion_title' => 'Add New Info Box',
              'fields'          => array(
                array(
                  'id'    => 'icon',
                  'type'  => 'icon',
                  'title' => 'Choose Icon',
                ),
                array(
                  'id'    => 'text',
                  'type'  => 'text',
                  'title' => 'Type URL',
                ),
              ),
            ),
		)
	);      
    
    $options[] = array(
		'name' => 'financraft_menu_settings',
		'title' => esc_html__('Menu Settings', 'financraft') ,
		'icon' => 'fa fa-font',
		'fields' => array(
			array(
				'id' => 'logo_color',
				'type' => 'color_picker',
                'default' => esc_attr('#43464b', 'financraft'),
				'title' => esc_html__('Logo Color', 'financraft') ,
			) ,
			array(
				'id' => 'menu_font_size',
				'type' => 'text',
                'default' => esc_attr('14px', 'financraft'),
				'title' => esc_html__('Menu Font Size', 'financraft') ,
			) ,
			array(
				'id' => 'menu_bg_color',
				'type' => 'color_picker',
                'default' => esc_attr('#ffeee9', 'financraft'),
				'title' => esc_html__('Menu Background Color', 'financraft') ,
			) ,
			array(
				'id' => 'menu_font_color',
				'type' => 'color_picker',
                'default' => esc_attr('#43464b', 'financraft'),
				'title' => esc_html__('Menu Font Color', 'financraft') ,
			) ,
            
			array(
				'id' => 'menu_dropdown_font_size',
				'type' => 'text',
                'default' => esc_attr('13px', 'financraft'),
				'title' => esc_html__('Menu Dropdown Font Size', 'financraft') ,
			) ,
			array(
				'id' => 'menu_dropdown_bg_color',
				'type' => 'color_picker',
                'default' => esc_attr('#43464b', 'financraft'),
				'title' => esc_html__('Menu Dropdown Background Color', 'financraft') ,
			) ,
			array(
				'id' => 'menu_dropdown_font_color',
				'type' => 'color_picker',
                'default' => esc_attr('#fff', 'financraft'),
				'title' => esc_html__('Menu Dropdown Font Color', 'financraft') ,
			) ,
		)
	);
    
    $options[] = array(
		'name' => 'financraft_typography_settings',
		'title' => esc_html__('Typography Settings', 'financraft') ,
		'icon' => 'fa fa-font',
		'fields' => array(

			array(
				'id' => 'body_font',
				'type' => 'typography',
				'title' => esc_html__('Body Font-family & Font-weight', 'financraft') ,
				'desc' => esc_html__('Select Body Google Font family & Font weight.', 'financraft') ,
				'default' => array(
					'family' => 'Rubik',
					'variant' => 'regular',
					'font' => 'google',
					
				) ,
			) ,

			array(
				'id' => 'heading_font',
				'type' => 'typography',
				'title' => esc_html__('Heading Font-family & Font-weight', 'financraft') ,
				'desc' => esc_html__('Select Heading Google Font family & Font weight.', 'financraft') ,
				'default' => array(
					'family' => 'Poppins',
					'variant' => '700',
					'font' => 'google', 
					
				) ,
			) ,
		)
	);
    
    $options[] = array(
		'name' => 'financraft_styling_settings',
		'title' => esc_html__('Theme Styling Settings', 'financraft') ,
		'icon' => 'fa fa-paint-brush',
		'fields' => array(
            array(
				'id' => 'enable_preloader',
				'type' => 'switcher',
				'title' => esc_html__('Preloader ON / OFF', 'financraft') ,
				'default' => true,
				'desc' => esc_html__('If you want to Enable Preloader Click on', 'financraft') ,
			) ,
            array(
				'id' => 'theme_primary_color',
				'type' => 'color_picker',
				'title' => esc_html__('Theme Primary Color', 'financraft') ,
				'default' => esc_attr__('#f16334', 'financraft'),
				'desc' => esc_html__('Choose your theme primary  color', 'financraft') ,
			) ,
            array(
				'id' => 'theme_secendry_color',
				'type' => 'color_picker',
				'title' => esc_html__('Theme Primary Color', 'financraft') ,
				'default' => esc_attr__('#fbe0d7', 'financraft'),
				'desc' => esc_html__('Choose your theme primary  color', 'financraft') ,
			) ,
            array(
				'id' => 'body_font_size',
				'type' => 'text',
				'title' => esc_html__('Body Font Size', 'financraft') ,
				'default' => esc_attr__('15', 'financraft'),
				'desc' => esc_html__('Enter font size in px for body. Type 16 for 16px font size. Default: 16', 'financraft') ,
			) ,
            array(
				'id' => 'body_text_color',
				'type' => 'color_picker',
				'title' => esc_html__('Body Text Color', 'financraft') ,
				'default' => esc_attr__('#43464b', 'financraft'),
				'desc' => esc_html__('Choose Body Text Color', 'financraft') ,
			) ,
			
		)
	);
    
    $options[] = array(
		'name' => 'financraft_blog_settings',
		'title' => esc_html__('Theme Blog Settings', 'financraft') ,
		'icon' => 'fa fa-rss',
		'fields' => array(
            array(
              'id'         => 'blog_sidebar_settings',
              'type'       => 'radio',
              'title'      => 'Blog Sidebar Position',
              'options'    => array(
                'one'      => 'No Sidebar',
                'two'      => 'Right Sidebar',
                'three'    => 'Left Sidebar',
              ),
            'default' => 'two',
            ),	
		)
	);
    
    $options[] = array(
		'name' => 'financraft_footer_settings',
		'title' => esc_html__('Footer Settings', 'financraft') ,
		'icon' => 'fa fa-th',
		'fields' => array(
			array(
				'id' => 'footer_copyright_text',
				'type' => 'textarea',
				'title' => esc_html__('Footer Copyright Text', 'financraft') ,
				'default' => esc_html__('© 2018 XeroTheme, All Rights Reserved', 'financraft'),
				'desc' => esc_html__('Type copyright text here', 'financraft') ,
			) ,
            array(
                'id' => 'footer_social',
                'type' => 'group',
                'title' => esc_html__('Social Links', 'financraft') ,
                'desc' => esc_html__('Add social icons & links for member.', 'financraft') ,
                'button_title' => esc_html__('Add Icon', 'financraft') ,
                'accordion_title' => esc_html__('Add Social Icon', 'financraft') ,
                'fields' => array(
                    array(
                        'id' => 'icon',
                        'type' => 'icon',
                        'title' => esc_html__('Select Icon', 'financraft') ,
                    ) ,
                    array(
                        'id' => 'url',
                        'type' => 'text',
                        'title' => esc_html__('Link', 'financraft') ,
                    ) ,

                ) ,
            ) ,

		)
	);
    $options[] = array(
		'name' => 'financraft_404_settings',
		'title' => esc_html__('404 Page Settings', 'financraft') ,
		'icon' => 'fa fa-th',
		'fields' => array(       
			array(
				'id' => '404_bg_img',
				'type' => 'image',
				'title' => esc_html__('Upload 404! Background Image', 'financraft') ,
			) ,     
			array(
				'id' => '404_img',
				'type' => 'image',
				'title' => esc_html__('Upload 404! Image', 'financraft') ,
			) ,     
			array(
				'id' => '404_text',
				'type' => 'textarea',
				'title' => esc_html__('404 Content', 'financraft') ,
			) ,

		)
	);
    
	return $options;

}
add_filter('cs_framework_options', 'financraft_theme_options');